/*
Front gateway

Front gateway

API version: 0.0.1
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package openapi

import (
	"encoding/json"
)

// UserAlreadyExists struct for UserAlreadyExists
type UserAlreadyExists struct {
	Kind *string `json:"kind,omitempty"`
}

// NewUserAlreadyExists instantiates a new UserAlreadyExists object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewUserAlreadyExists() *UserAlreadyExists {
	this := UserAlreadyExists{}
	var kind string = "userAlreadyExists"
	this.Kind = &kind
	return &this
}

// NewUserAlreadyExistsWithDefaults instantiates a new UserAlreadyExists object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewUserAlreadyExistsWithDefaults() *UserAlreadyExists {
	this := UserAlreadyExists{}
	var kind string = "userAlreadyExists"
	this.Kind = &kind
	return &this
}

// GetKind returns the Kind field value if set, zero value otherwise.
func (o *UserAlreadyExists) GetKind() string {
	if o == nil || o.Kind == nil {
		var ret string
		return ret
	}
	return *o.Kind
}

// GetKindOk returns a tuple with the Kind field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *UserAlreadyExists) GetKindOk() (*string, bool) {
	if o == nil || o.Kind == nil {
		return nil, false
	}
	return o.Kind, true
}

// HasKind returns a boolean if a field has been set.
func (o *UserAlreadyExists) HasKind() bool {
	if o != nil && o.Kind != nil {
		return true
	}

	return false
}

// SetKind gets a reference to the given string and assigns it to the Kind field.
func (o *UserAlreadyExists) SetKind(v string) {
	o.Kind = &v
}

func (o UserAlreadyExists) MarshalJSON() ([]byte, error) {
	toSerialize := map[string]interface{}{}
	if o.Kind != nil {
		toSerialize["kind"] = o.Kind
	}
	return json.Marshal(toSerialize)
}

type NullableUserAlreadyExists struct {
	value *UserAlreadyExists
	isSet bool
}

func (v NullableUserAlreadyExists) Get() *UserAlreadyExists {
	return v.value
}

func (v *NullableUserAlreadyExists) Set(val *UserAlreadyExists) {
	v.value = val
	v.isSet = true
}

func (v NullableUserAlreadyExists) IsSet() bool {
	return v.isSet
}

func (v *NullableUserAlreadyExists) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableUserAlreadyExists(val *UserAlreadyExists) *NullableUserAlreadyExists {
	return &NullableUserAlreadyExists{value: val, isSet: true}
}

func (v NullableUserAlreadyExists) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableUserAlreadyExists) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


